#pragma once

#include "LMAmmo.h"
#include "LMWeaponDataStructure.generated.h"

USTRUCT(BlueprintType)
struct FLMWeaponDataStructure : public FTableRowBase
{
	GENERATED_BODY()

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int MaxAmmo; // Max ammo in "inventory"

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int MaxClipAmmo; // Max ammo in clip

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TObjectPtr<USkeletalMesh> MeshWeapon; //Mesh of the weapon display in the scene 

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EAmmoType AmmoType; //Type of ammo, which ammo this weapon is using

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TObjectPtr<UAnimBlueprint> AnimationBluePrint; //The animation blueprint to animate the mesh
};
